Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.groovy
Class GroovyPreferencesValidator

    java.lang.Object
      org.apache.portals.bridges.groovy.GroovyPreferencesValidator

All Implemented Interfaces:
  javax.portlet.PreferencesValidator

public class GroovyPreferencesValidator
extends Object
implements javax.portlet.PreferencesValidator

GroovyPreferencesValidator parses and invokes a groovy-scripted validator. A groovy-scripted PreferencesValidator just need to be implemented like any other Java-based preferences validator.

Author:
  Woonsan Ko

Field Summary
`static String` | `AUTO_REFRESH_PREF_KEY`
`protected boolean` | `autoRefresh`
`protected groovy.lang.GroovyClassLoader` | `groovyClassLoader`
`protected groovy.lang.GroovyCodeSource` | `groovyCodeSource`
`protected long` | `parsedFileLastModified`
`static String` | `SCRIPT_SOURCE_PREF_KEY`
`static String` | `SCRIPT_SOURCE_URL_ENCODING_PREF_KEY`
`protected javax.portlet.PreferencesValidator` | `scriptPreferencesValidatorInstance`
`protected String` | `scriptSourceUri`
`protected String` | `scriptSourceUriEncoding`

Constructor Summary
`GroovyPreferencesValidator()`

Method Summary
`protected void` | `createScriptPreferencesValidatorInstance()`
`void` | `initialize(javax.portlet.PortletPreferences preferences)`
`protected boolean` | `isScriptFileModified()`
`protected void` | `refreshPreferencesValidatorInstance()`
`void` | `validate(javax.portlet.PortletPreferences preferences)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SCRIPT_SOURCE_PREF_KEY

    public static final String SCRIPT_SOURCE_PREF_KEY

See Also:
  Constant Field Values

### SCRIPT_SOURCE_URL_ENCODING_PREF_KEY

    public static final String SCRIPT_SOURCE_URL_ENCODING_PREF_KEY

See Also:
  Constant Field Values

### AUTO_REFRESH_PREF_KEY

    public static final String AUTO_REFRESH_PREF_KEY

See Also:
  Constant Field Values

### scriptSourceUri

    protected String scriptSourceUri

### scriptSourceUriEncoding

    protected String scriptSourceUriEncoding

### autoRefresh

    protected boolean autoRefresh

### parsedFileLastModified

    protected long parsedFileLastModified

### groovyCodeSource

    protected groovy.lang.GroovyCodeSource groovyCodeSource

### scriptPreferencesValidatorInstance

    protected javax.portlet.PreferencesValidator scriptPreferencesValidatorInstance

### groovyClassLoader

    protected groovy.lang.GroovyClassLoader groovyClassLoader

Constructor Detail

### GroovyPreferencesValidator

    public GroovyPreferencesValidator()

Method Detail

### validate

    public void validate(javax.portlet.PortletPreferences preferences)
                  throws javax.portlet.ValidatorException

  Specified by:
    `validate` in interface `javax.portlet.PreferencesValidator`
  Throws:
    `javax.portlet.ValidatorException`

### initialize

    public void initialize(javax.portlet.PortletPreferences preferences)
                    throws javax.portlet.ValidatorException

  Throws:
    `javax.portlet.ValidatorException`

### refreshPreferencesValidatorInstance

    protected void refreshPreferencesValidatorInstance()
                                                throws javax.portlet.ValidatorException

  Throws:
    `javax.portlet.ValidatorException`

### isScriptFileModified

    protected boolean isScriptFileModified()

### createScriptPreferencesValidatorInstance

    protected void createScriptPreferencesValidatorInstance()
                                                     throws org.codehaus.groovy.control.CompilationFailedException,
                                                            InstantiationException,
                                                            IOException,
                                                            IllegalAccessException,
                                                            javax.portlet.ValidatorException

  Throws:
    `org.codehaus.groovy.control.CompilationFailedException`
    `InstantiationException`
    `IOException`
    `IllegalAccessException`
    `javax.portlet.ValidatorException`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.